214 countries and territories189 of 193 UN membersmonthly to 2026-09back to 1926
Documentation / Reference and population / 80 of 91

Country reference

GET/v1/reference/countries

Every country and territory with its two- and three-letter and number codes, region, currency, income group, time zones and whether tourism figures are held for it.

On every plan, Free includedKey requiredJSON or CSVCached until the next release
Parameters
NameTypeDescription
limitoptionalinteger
query
Rows per page, 1 to 1000
e.g. 100
cursoroptionalstring
query
The next value from the previous page
Request
# Every country's codes, currency and time zones
curl "https://api.tourismapi.com/v1/reference/countries" \
  -H "X-API-Key: $TOURISM_API_KEY"
Ready
Example response
{
    "meta": {
        "request_id": "req_3a10bd73a0",
        "data_as_of": "2026-10-21T17:42:32Z",
        "count": 250
    },
    "data": [
        {
            "iso": "AD",
            "iso3": "AND",
            "numeric": "020",
            "name": "Andorra",
            "region": "Europe",
            "currency": "EUR",
            "currency_name": "Euro",
            "income_group": "High income",
            "time_zones": [
                "Europe/Andorra"
            ],
            "tourism_figures": "quarterly or yearly"
        },
        {
            "iso": "AE",
            "iso3": "ARE",
            "numeric": "784",
            "name": "United Arab Emirates",
            "region": "Middle East and Africa",
            "currency": "AED",
            "currency_name": "U.A.E. dirham",
            "income_group": "High income",
            "time_zones": [
                "Asia/Dubai"
            ],
            "tourism_figures": "monthly"
        },
        {
            "iso": "AF",
            "iso3": "AFG",
            "numeric": "004",
            "name": "Afghanistan",
            "region": "Middle East and Africa",
            "currency": "AFN",
            "currency_name": "Afghan afghani",
            "income_group": "Low income",
            "time_zones": [
                "Asia/Kabul"
            ],
            "tourism_figures": "quarterly or yearly"
        }
    ]
}
Response fields
FieldTypeExample
isostringAD
iso3stringAND
numericstring020
namestringAndorra
regionstringEurope
currencystringEUR
currency_namestringEuro
income_groupstringHigh income
time_zonesarray1 items
tourism_figuresstringquarterly or yearly